#!/bin/bash

#   This script only gets called to copy the files into the release package, IE does NOT get
#   called during the actual installation.  Just a little convenience helper for me to 
#   re-gather all the files I need and undos them

XINETD_FILES="telnet.on telnet.off wu-ftpd.on wu-ftpd.off telnet wu-ftpd time time-udp" 
HTTPD_FILES="httpd.conf eth0.conf eth1.conf localhost.conf servername.conf httpd XLS.key XLS.crt"
SSH_FILES="sshd sshd_config"
TOMCAT_FILES="server.xml workers.properties"
MISC_FILES="services resolv.conf"

# files to be gathered up:
FILES="${XINETD_FILES} ${HTTPD_FILES} ${SSH_FILES} ${TOMCAT_FILES} ${MISC_FILES}"

SANDBOX=/home/xls/sandbox
LINUX_DIR=${SANDBOX}/linux
PACKAGE_DIR=/home/xls/release/SecureXLS
INSTALL=/usr/bin/install 
INSTALL_OPTS="-v -v"

echo "Gathering files..."

for file in ${FILES}
do
    ${INSTALL} ${INSTALL_OPTS} --mode=644 ${LINUX_DIR}/${file} ${PACKAGE_DIR}
    undos -s ${PACKAGE_DIR}/${file} > /dev/null 2>&1
    touch ${PACKAGE_DIR}/${file}
done;

${INSTALL} ${INSTALL_OPTS} --mode=644 ${LINUX_DIR}/keystore  ${PACKAGE_DIR}
${INSTALL} ${INSTALL_OPTS} --mode=755 ${LINUX_DIR}/libssl.so ${PACKAGE_DIR}
${INSTALL} ${INSTALL_OPTS} --mode=555 /home/xls/sandbox/Build/release/xlsexec ${PACKAGE_DIR}               
${INSTALL} ${INSTALL_OPTS} --mode=555 /home/xls/sandbox/LibraryController/scripts/upgrade ${PACKAGE_DIR};               undos -s ./upgrade
${INSTALL} ${INSTALL_OPTS} --mode=555 /home/xls/sandbox/LibraryController/install/extra_scripts/tun ${PACKAGE_DIR};     undos -s ./tun
${INSTALL} ${INSTALL_OPTS} --mode=555 /home/xls/sandbox/LibraryController/scripts/updateHttpServername ${PACKAGE_DIR};  undos -s ./updateHttpServername
${INSTALL} ${INSTALL_OPTS} --mode=555 /home/xls/sandbox/LibraryController/scripts/diag/telnet_enable ${PACKAGE_DIR};    undos -s ./telnet_enable
${INSTALL} ${INSTALL_OPTS} --mode=555 /home/xls/sandbox/LibraryController/scripts/diag/telnet_disable ${PACKAGE_DIR};   undos -s ./telnet_disable
