#!/bin/bash

########################################################
#                                                      #
#   Install the various files we need in our system!   #
#                                                      #
########################################################

CATALINA_HOME=/usr/jakarta-tomcat-5.0.12
INSTALL=/usr/bin/install
INSTALL_OPTS="-v -v -D"
SUDO=/usr/bin/sudo

#####################################################################################################################

# services file:
${INSTALL} ${INSTALL_OPTS} --owner=root --group=root --mode=444  ./services              /etc/services

# xinetd configs
${INSTALL} ${INSTALL_OPTS} --owner=root --group=root --mode=444  ./time                  /etc/xinetd.d/time
${INSTALL} ${INSTALL_OPTS} --owner=root --group=root --mode=444  ./time-udp              /etc/xinetd.d/time-udp
${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=664  ./telnet                /etc/xinetd.d/telnet
${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=664  ./wu-ftpd               /etc/xinetd.d/wu-ftpd

# SSHD config files/scripts
${INSTALL} ${INSTALL_OPTS} --owner=root --group=root --mode=555  ./sshd                  /etc/init.d/sshd
${INSTALL} ${INSTALL_OPTS} --owner=root --group=root --mode=400  ./sshd_config           /etc/ssh/sshd_config

# Tomcat configuration files
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=400  ./server.xml            ${CATALINA_HOME}/conf/server.xml
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=400  ./keystore              ${CATALINA_HOME}/conf/ssl/keystore
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=444  ./workers.properties    ${CATALINA_HOME}/conf/jk/workers.properties

# HTTPD configuration files
${INSTALL} ${INSTALL_OPTS} --owner=root --group=root --mode=555  ./httpd                 /etc/init.d/httpd
${INSTALL} ${INSTALL_OPTS} --owner=root --group=root --mode=755 -C ./libssl.so           /etc/httpd/modules/libssl.so
${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=444  ./httpd.conf            /etc/httpd/conf/httpd.conf
${INSTALL} ${INSTALL_OPTS} --owner=root --group=root --mode=400  ./XLS.key               /etc/httpd/conf/ssl.key/XLS.key
${INSTALL} ${INSTALL_OPTS} --owner=root --group=root --mode=400  ./XLS.crt               /etc/httpd/conf/ssl.crt/XLS.crt
${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=444  ./eth0.conf             /etc/httpd/conf/vhosts/eth0.conf.orig
${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=444  ./eth1.conf             /etc/httpd/conf/vhosts/eth1.conf.orig
${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=444  ./localhost.conf        /etc/httpd/conf/vhosts/localhost.conf.orig
${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=444  ./servername.conf       /etc/httpd/conf/servername.conf.orig
[ ! -f /etc/httpd/conf/vhosts/eth0.conf      ] && ${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=664  ./eth0.conf             /etc/httpd/conf/vhosts/eth0.conf
[ ! -f /etc/httpd/conf/vhosts/eth1.conf      ] && ${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=664  ./eth1.conf             /etc/httpd/conf/vhosts/eth1.conf
[ ! -f /etc/httpd/conf/vhosts/localhost.conf ] && ${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=664  ./localhost.conf        /etc/httpd/conf/vhosts/localhost.conf
[ ! -f /etc/httpd/conf/servername.conf       ] && ${INSTALL} ${INSTALL_OPTS} --owner=root --group=xls  --mode=664  ./servername.conf       /etc/httpd/conf/servername.conf

# XLS scripts/files:
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=555  ./telnet_enable            /xls/diag/telnet_enable
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=555  ./telnet_disable           /xls/diag/telnet_disable
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=555  ./updateHttpServername     /xls/bin/updateHttpServername
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=555  ./upgrade                  /xls/bin/upgrade
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=555  ./xlsexec                  /xls/bin/xlsexec
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=444  ./telnet.on                /etc/xls/conf/telnet.on
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=444  ./telnet.off               /etc/xls/conf/telnet.off
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=444  ./wu-ftpd.on               /etc/xls/conf/wu-ftpd.on
${INSTALL} ${INSTALL_OPTS} --owner=xls  --group=xls  --mode=444  ./wu-ftpd.off              /etc/xls/conf/wu-ftpd.off

/bin/chmod 555     /etc/httpd/conf/vhosts
/bin/chmod 770     /etc/xls/conf
/bin/chown xls:xls /etc/xls/conf
